Meta ads

Meta ads with their publish state, newest first; ids= polls the ads a bulk call created

GET/api/public/v1/meta_ads
LiveAnswers from your brand's records now.

Operation id listMetaAds

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/meta_ads" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
idsquerystring
statequerystringOne of queuedpublishingpublishedactivefailed
statusquerystring
meta_ad_set_idqueryinteger
include_externalqueryboolean Default false
pagequeryinteger Default 1
per_pagequeryinteger Default 25

Responses

200Success

FieldTypeNotes
by_stateobject
dataarray of object
data[].[].campaign_affiliate_idinteger, nullable
data[].[].created_atstring (date-time)
data[].[].error_messagestring, nullable
data[].[].externalboolean
data[].[].failedboolean
data[].[].idinteger
data[].[].last_stepstring, nullable
data[].[].meta_ad_idstring, nullable
data[].[].meta_ad_set_idinteger, nullable
data[].[].meta_ad_set_namestring, nullable
data[].[].namestring
data[].[].publishedboolean
data[].[].statestringOne of queuedpublishingpublishedactivefailed
data[].[].statusstring
metaobject
meta.has_moreboolean
meta.pageinteger
meta.per_pageinteger
meta.total_countinteger
meta.total_pagesinteger
successboolean

Example

{
  "by_state": {},
  "data": [
    {
      "campaign_affiliate_id": 1024,
      "created_at": "2026-11-01T15:04:05Z",
      "error_message": "string",
      "external": true,
      "failed": true,
      "id": 1024,
      "last_step": "string",
      "meta_ad_id": "string",
      "meta_ad_set_id": 1024,
      "meta_ad_set_name": "Example name",
      "name": "Example name",
      "published": true,
      "state": "queued",
      "status": "string"
    }
  ],
  "meta": {
    "has_more": true,
    "page": 1,
    "per_page": 1,
    "total_count": 3,
    "total_pages": 1
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.